@echo off
rem
rem            A.BAT - Assemble and load a source file to target Z80-MBC
rem
rem            USAGE:      A <intel-hex-file.hex>

if .%1==. goto :error2
set scfile=%1
if not exist %scfile% goto :error1
tasm -s -h -c -g0 -80  %scfile% out.hex
if not %ERRORLEVEL%==0 goto :error3
echo No Assembler errors. Loading Intel-Hex file to target.
copy /y out.hex load.hex > nul
"C:\Program Files\teraterm\ttermpro.exe" /c=3 /BAUD=9600 /w="Z80-MBC Terminal" /m=LoadZ80.ttl
echo All done. Bye bye...
goto :end

:error3
echo Errors found in source file %scfile% during Assembler compilation.
echo Nothing to load to the target.
goto :end

:error2
echo Please specify a source file!
goto :end

:error1
echo Error: file %scfile% not found!

:end